package javax.tools;

import javax.lang.model.element.Modifier;
import javax.lang.model.element.NestingKind;

public interface JavaFileObject extends FileObject
{
    public abstract JavaFileObject.Kind getKind();
    
    public abstract boolean isNameCompatible(String p0, JavaFileObject.Kind p1);
    
    public abstract NestingKind getNestingKind();
    
    public abstract Modifier getAccessLevel();
    
    public enum Kind
    {
        SOURCE(".java"), 
        CLASS(".class"), 
        HTML(".html"), 
        OTHER("");
        
        public final String extension;
        
        private Kind(String extension) {
            extension.getClass();
            this.extension = extension;
        }
    }
}
